require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.异界")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.异界")
重新加载("Script.函数.全局")






L加载配置_一体化()
local 返回一次藏身处=1
local _城镇事件不处理=0
local 使用一次Esc=1
while	To(100)==1		do 
	local 地图Ptr=L地图信息()
	local _缺少地图="缺少地图"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	if 使用一次Esc==1		then 
		LEsc()
		使用一次Esc=0
	end


	if 地图Ptr.位置==0	 then

		G副本进入失败次数=0
		D重置状态()
		L重置指定事件计数(_缺少地图)
		g回城优先存仓一次=0
		L搜索路口()
		L当前地图计时(3)


		if	  Fn_包满回城()==1			then --
		
			_城镇事件不处理=1
			L信息("当前执行 => 背包满了选择回城")
			L设置背满事件(1)
			goto Next

		end 
		L异界是否完成()

		

		local _自身=L自身信息()
		if _自身.ID>0 and _自身.HP==0 	then 
			Fn_召唤大号过来帮忙帝王(G大号意外死亡)
			L复活()
			
			goto Next
		end 

		if 地图Ptr.地图名称~="無量困境"			then --
			L地图是否完成(1)
		end 

		if L取队长口令(G大号先进我在外面等,G队员口号)==1	  		then --
			
			Fn_召唤大号过来帮忙帝王(G大号同意)
		elseif L取队长口令(G大号意外死亡,G队员口号)==1		then --
		
			if L队长是否在附近()==0		then 
		
				L前往队长身边()
			end
			--goto Next
		end
		if L取队长口令(G小号感谢,G队员口号)==1			then --
			Fn_召唤大号过来帮忙帝王(G大号感谢)
		end
		if FB_自动切换事件(地图Ptr.地图类名)==1			then -- --判断机关地图		
			goto Next
		end 

		if	L地图是否完成()~=0			then -- 
			
			local _队伍人数= L队伍人数()
			local _我是队长=L我是队长("")

			L信息("当前执行: => 地图探索完成...".._队伍人数.."@@".._我是队长)
			if _队伍人数>0	and _我是队长==0		then --
				L延时(3000)
				Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图,1)
			end

			if Q_前往异界BOSS复活点回城()==1		then 
				L返回城镇()
			end

			goto Next
		else 
		
			if Fn_前往死亡坐标()==1		then 

			end
		end
	

	else 
		g全局记录变量.全局记录还未清空=1

		L关闭地图探索()


		if 地图Ptr.位置==3			then --
			if 返回一次藏身处==0		then 
				L选择藏身处()
			end 
		end


		if 地图Ptr.位置~=0	and	地图Ptr.位置~=2	and	 返回一次藏身处==1 then
			-- body
			L返回藏身处()
			返回一次藏身处=0
			goto Next
		end
		if G交易完返回自己藏身处~=2 and L执行间隔("30秒执行一次Esc",30*1000)==1	and L倒货状态()~=1 	then 
			if L可视UI(UI_可视偏移.UI打开NPC框)==1      then 
				L结束对话()
			end
			LEsc()
			L放下鼠标上的物品()
		end 
		
	
		if Fn_读取仓库信息()==0 then
			-- body
			L信息("当前正在读取仓库信息")
			goto Next
		end

		if g常规设置.公会仓库页最大读取页数>0	and	Fn_读取公会仓库信息()==0 then
			-- body
			L信息("当前正在读取公会仓库信息")
			goto Next
		end

		

	
		if Fn_藏身處补充药剂(地图Ptr)==1			then --
			L信息("补充药剂")
			goto Next
		end 
	
		if	L倒货状态()==0 and Fn_包满回城()==1			then --
			D重置状态()
			L信息("需要处理背包...")
			_城镇事件不处理=1
		end



		if g回城优先存仓一次==0 			then --
			if  Fn_处理存仓()==1	then 
				L信息("优先存入符合存仓且不想鉴定的物品...")
				goto Next
			end
		end 
		
		g回城优先存仓一次=1
		if Fn_地图鉴定(地图Ptr)==1		then 
			L信息("鉴定物品...")
			goto Next
		end

		if Fn_处理分解()==1			then --
			L信息("分解中...")
			goto Next
		end 



		--L信息("累计刷图次数: "..L累计刷图次数().."@@"..g每次兑换容错次数.."@@"..g当前兑换通货是否已经执行)
		-- if L累计刷图次数()>5			then --
		-- 	L信息("刷图次数大于5 ，进行一轮背包清理")
		-- 	_城镇事件不处理=1
		-- end

		if _城镇事件不处理==1		then

			if	Fn_藏身处物品处理()==1			then --
				L信息("藏身处物品处理")
				goto Next
			end


			_城镇事件不处理=0
			L累计刷图次数(0)
		end 


		L重置所有事件计数()
		L打开好友列表(15*1000)
		L地图是否完成(0)
		if L队伍人数()>0			then --
		
			if L队长是否在附近()==0	 		then --
			
				if L执行间隔("传送到队友间隔",15*1000)==1	then
					L前往队长身边()
				end
			
			end
			if L取队长口令(G小号感谢,G队员口号)==1			then --
				Fn_召唤大号过来帮忙帝王(G大号感谢)
			elseif	L取队长口令(G大号意外死亡,G队员口号)==1	or  L取队长口令(G大号同意,G队员口号)==1			then --
				if 地图Ptr.位置==2 	then 
			
				
					if  L进入异界()==0      then
						Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图)
					
						goto Next

					else 
						if L执行间隔("进图失败次数",1000)==1			then --
							G副本进入失败次数=G副本进入失败次数+1
						end 
						if L进入异界之门失败次数()>=6	or G副本进入失败次数>=6		then --
							Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图)
						
							L进入异界之门失败次数(0)
							G副本进入失败次数=0
							L延时(10*1000)
						end
					end
					
				else 
					-- 地图Ptr=L地图信息()
					-- if 地图Ptr.位置~=0		then 
					-- 	if L执行间隔("传送到队友间隔",15*1000)==1	then
					-- 		L前往队长身边()
					-- 	end
					-- end
					
				end
	
			elseif L取队长口令(G大号先进我在外面等,G队员口号)==1	  		then --
			
		
				if 地图Ptr.位置==2 and L队长是否在附近()==1		then 
			
				
					if  L进入异界()==0      then
						Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图)
					
						goto Next

					else 
						if L执行间隔("进图失败次数",1000)==1			then --
							G副本进入失败次数=G副本进入失败次数+1
						end 
						if L进入异界之门失败次数()>=6	or G副本进入失败次数>=6		then --
							Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图)
						
							G副本进入失败次数=0
							L进入异界之门失败次数(0)
							L延时(10*1000)
						end
					end
					
				else 
					地图Ptr=L地图信息()
					if 地图Ptr.位置==2	and  L自身藏身处()==0	then 
						Fn_召唤大号过来帮忙帝王(G大号完成地图重新开图)
						
						G副本进入失败次数=0
						L进入异界之门失败次数(0)
						if  L队长是否在附近()==0		then 
							L前往队长身边()
						end 
						L延时(10*1000)
					elseif 地图Ptr.位置~=0		then 
						-- if L执行间隔("传送到队友间隔",15*1000)==1	then
						-- 	L前往队长身边()
						-- end
					end
					
				end

			end
		else 
			if L自身藏身处()==0			then --
				L返回藏身处()
				L延时(6000)
			else 
				L信息("查看是否有组队邀请")
				L进入队伍()
			end 
		end 

	

	end







	--
	L设置探索地图(1)


	--Fn_城镇物品处理()
::Next::

end

